.header {
    top: 0;
    left: 0;
    right: 0;
    z-index: 800;
    position: fixed;
    background: var(--color-gray-bg);

    &--white {
        background: var(--color-white);
    }

    &__wrap {
        height: rem(64);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__logo {
        top: rem(-4);
        width: rem(70);
        display: block;
        position: relative;
    }

    &__hamburger {
        padding: 0;
        width: 32px;
        height: 32px;
        border: none;
        outline: none;
        font-size: 0;
        line-height: 0;
        display: block;
        cursor: pointer;
        position: relative;
        background: transparent;

        span,
        &:after,
        &:before {
            width: 24px;
            height: 2px;
            content: '';
            display: block;
            position: absolute;
            left: calc(50% - 12px);
            transition-duration: .15s;
            transition-property: transform;
            transition-timing-function: ease;
        }

        &:after {
            width: 24px;
            background: var(--color-primary);
            top: calc(50% + 7px);
        }

        &:before {
            background: var(--color-primary);
            top: calc(50% - 9px);

        }

        span {
            top: calc(50% - 1px);

            &:after,
            &:before {
                content: '';
                height: 2px;
                width: 24px;
                background: var(--color-primary);
                position: absolute;
                top: calc(50% - 1px);
                left: calc(50% - 12px);
                transform: rotate(0deg);
                transition: .3s;
            }
        }
    }

    &__nav {
        left: 0;
        right: 0;
        top: rem(61);
        bottom: 0;
        z-index: 790;
        position: fixed;
        background: $white;
        text-align: center;
        padding: 0 rem(16) rem(40) rem(16);
        display: flex;
        flex-direction: column;
        justify-content: center;
        opacity: 0;
        visibility: hidden;
        transition: .25s;
    }

    &__menu {
        margin: 0;
        padding: 0;
        list-style: none;
        font-size: rem(14);
        line-height: rem(20);

        li {
            margin-bottom: rem(15);
        }

        a {
            color: var(--color-base);
            text-decoration: none;
            transition: .25s;

            &:hover {
                color: var(--color-primary);
                text-decoration: none;
                transition: .25s;
            }
        }
    }

    &__button {
        margin-top: rem(30);
    }

    @include media-breakpoint-up(md) {}

    @include media-breakpoint-up(lg) {
        top: auto;
        left: auto;
        right: auto;
        border-bottom: none;
        position: relative;

        &__wrap {
            height: rem(100);
        }

        &__logo {
            width: rem(120);
        }

        &__hamburger {
            display: none;
        }

        &__nav {
            opacity: 1;
            visibility: visible;
            padding: 0;
            top: auto;
            left: auto;
            right: auto;
            bottom: auto;
            position: relative;
            background: transparent;
            display: flex;
            align-items: center;
            flex-direction: row;
        }

        &__menu {
            white-space: nowrap;
            font-weight: 500;
            font-size: rem(14);
            line-height: rem(20);
            display: flex;
            align-items: center;

            li {
                margin: 0;

                a {
                    padding: rem(8) rem(17);
                    align-items: center;
                    display: inline-flex;
                }
            }
        }

        &__button {
            margin: 0 0 0 rem(10);
        }
    }

    @include media-breakpoint-up(xl) {

        &__wrap {
            height: rem(176)
        }

        &__logo {
            width: rem(92);
        }

        &__menu {

            li {
                margin: 0 0 0 rem(10);

            }
        }
    }

    @include media-breakpoint-up(xxl) {

    }
}

.nav-open {
    height: 100%;
    overflow: hidden;

    .header {

        &__hamburger {

            &:after,
            &:before {
                opacity: 0;
                visibility: hidden;
            }

            span {

                &:before {
                    transform: rotate(-45deg);
                    transition: .3s;
                }

                &:after {
                    transform: rotate(45deg);
                    transition: .3s;
                }
            }
        }

        &__nav {
            opacity: 1;
            visibility: visible;
            transition: .25s;
        }
    }

    @include media-breakpoint-up(xl) {
        height: auto;
        overflow: visible;
    }
}
